Flecs: ecs_system_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Attributes | List of all members
ecs_system_t Struct Reference
C API » Addons » System

System type, get with ecs_system_get() More...

`#include <system.h>`

## Public Attributes
ecs_header_t | hdr
ecs_run_action_t | run
| See ecs_system_desc_t.
ecs_iter_action_t | action
| See ecs_system_desc_t.
ecs_query_t * | query
| System query.
ecs_entity_t | query_entity
| Entity associated with query.
ecs_entity_t | tick_source
| Tick source associated with system.
bool | multi_threaded
| Is system multithreaded.
bool | immediate
| Is system ran in immediate mode.
const char * | name
| Cached system name (for perf tracing)
void * | ctx
| Userdata for system.
void * | callback_ctx
| Callback language binding context.
void * | run_ctx
| Run language binding context.
ecs_ctx_free_t | ctx_free
| Callback to free ctx.
ecs_ctx_free_t | callback_ctx_free
| Callback to free callback ctx.
ecs_ctx_free_t | run_ctx_free
| Callback to free run ctx.
ecs_ftime_t | time_spent
| Time spent on running system.
ecs_ftime_t | time_passed
| Time passed since last invocation.
int64_t | last_frame
| Last frame for which the system was considered.
ecs_world_t * | world
ecs_entity_t | entity
flecs_poly_dtor_t | dtor

## Detailed Description

System type, get with ecs_system_get()

Definition at line 107 of file system.h.

## Member Data Documentation

## ◆ action

ecs_iter_action_t ecs_system_t::action

See ecs_system_desc_t.

Definition at line 114 of file system.h.

## ◆ callback_ctx

void* ecs_system_t::callback_ctx

Callback language binding context.

Definition at line 138 of file system.h.

## ◆ callback_ctx_free

ecs_ctx_free_t ecs_system_t::callback_ctx_free

Callback to free callback ctx.

Definition at line 147 of file system.h.

## ◆ ctx

void* ecs_system_t::ctx

Userdata for system.

Definition at line 135 of file system.h.

## ◆ ctx_free

ecs_ctx_free_t ecs_system_t::ctx_free

Callback to free ctx.

Definition at line 144 of file system.h.

## ◆ dtor

flecs_poly_dtor_t ecs_system_t::dtor

Definition at line 164 of file system.h.

## ◆ entity

ecs_entity_t ecs_system_t::entity

Definition at line 163 of file system.h.

## ◆ hdr

ecs_header_t ecs_system_t::hdr

Definition at line 108 of file system.h.

## ◆ immediate

bool ecs_system_t::immediate

Is system ran in immediate mode.

Definition at line 129 of file system.h.

## ◆ last_frame

int64_t ecs_system_t::last_frame

Last frame for which the system was considered.

Definition at line 159 of file system.h.

## ◆ multi_threaded

bool ecs_system_t::multi_threaded

Is system multithreaded.

Definition at line 126 of file system.h.

## ◆ name

const char* ecs_system_t::name

Cached system name (for perf tracing)

Definition at line 132 of file system.h.

## ◆ query

ecs_query_t* ecs_system_t::query

System query.

Definition at line 117 of file system.h.

## ◆ query_entity

ecs_entity_t ecs_system_t::query_entity

Entity associated with query.

Definition at line 120 of file system.h.

## ◆ run

ecs_run_action_t ecs_system_t::run

See ecs_system_desc_t.

Definition at line 111 of file system.h.

## ◆ run_ctx

void* ecs_system_t::run_ctx

Run language binding context.

Definition at line 141 of file system.h.

## ◆ run_ctx_free

ecs_ctx_free_t ecs_system_t::run_ctx_free

Callback to free run ctx.

Definition at line 150 of file system.h.

## ◆ tick_source

ecs_entity_t ecs_system_t::tick_source

Tick source associated with system.

Definition at line 123 of file system.h.

## ◆ time_passed

ecs_ftime_t ecs_system_t::time_passed

Time passed since last invocation.

Definition at line 156 of file system.h.

## ◆ time_spent

ecs_ftime_t ecs_system_t::time_spent

Time spent on running system.

Definition at line 153 of file system.h.

## ◆ world

ecs_world_t* ecs_system_t::world

Definition at line 162 of file system.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/system.h